AltUnitsFormat Example |
Using Programming Languages other than VBA
Sub Example_AltUnitsFormat() ' This example creates an aligned dimension in model space and ' uses AltUnitsFormat to cycle through some common unit formats ' for the alternate dimension Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 0: point1(1) = 5: point1(2) = 0 point2(0) = 5.12345678: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll ' Enable unit display of alternate units dimObj.AltUnits = True dimObj.AltUnitsFormat = acDimScientific ' Change format to Scientific ThisDrawing.Regen acAllViewports MsgBox "The alternate dimension units are now set to Scientific" dimObj.AltUnitsFormat = acDimDecimal ' Change format to Decimal ThisDrawing.Regen acAllViewports MsgBox "The alternate dimension units are now set to Decimal" dimObj.AltUnitsFormat = acDimArchitectural ' Change format to Architectural ThisDrawing.Regen acAllViewports MsgBox "The alternate dimension units are now set to Architectural" dimObj.AltUnitsFormat = acDimWindowsDesktop ' Change format to Windows Desktop ThisDrawing.Regen acAllViewports MsgBox "The alternate dimension units are now set to Windows Desktop" End Sub
Comments? |